/*
 * Version for iOS © 2015–2019 YANDEX
 *
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at https://yandex.com/legal/mobileads_sdk_agreement/
 */

#import <UIKit/UIKit.h>

@class MPNativeAdRendererConfiguration;
@protocol MPNativeAdRendererSettings;

/**
 This class is responsible for rendering mediated YandexMobileAds native ads.
 */
@interface YMANativeCustomEventAdRenderer : NSObject

/**
 Returns `MPNativeAdRendererConfiguration` object specific for `YMANativeCustomEventAdRenderer`.

 @param rendererSettings Renderer settings that will be stored in configuration.
 @return A configuration that allows MoPub SDK to instantiate `YMANativeCustomEventAdRenderer`.
 */
+ (MPNativeAdRendererConfiguration *)rendererConfigurationWithRendererSettings:(id<MPNativeAdRendererSettings>)rendererSettings;

@end
