/*
 * Version for iOS © 2015–2019 YANDEX
 *
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at https://yandex.com/legal/mobileads_sdk_agreement/
 */

#import <UIKit/UIKit.h>

@protocol YMARating;

/**
 This protocol provides methods for rendering YandexMobileAds ad in custom view classes.
 */
@protocol YMANativeCustomEventAdRendering <NSObject>

@optional

/**
 `UILabel` for information about age restrictions. Required if ad's property value for key kYMAMoPubNativeAdAgeAsset
 is not nil. @see YMAMoPubNativeAssets.h for properties keys.
 */
- (UILabel *)nativeAgeLabel;

/**
 `UILabel` for domain data.
 */
- (UILabel *)nativeDomainLabel;

/**
 `UIImageView` for the web page's favicon.
 */
- (UIImageView *)nativeFaviconImageView;

/**
 `UILabel` for data on the price of the advertised app.
 */
- (UILabel *)nativePriceLabel;

/**
 `UIView` that implements the YMARating protocol for data on the app rating.
 */
- (UIView<YMARating> *)nativeRatingView;

/**
 `UILabel` for data on the number of app reviews.
 */
- (UILabel *)nativeReviewCountLabel;

/**
 `UILabel` for information about the ad network. Required if ad's property value for key kYMAMoPubNativeAdWarningAsset
 is not nil. @see kYMAMoPubNativeAdSponsoredAsset for properties keys.
 */
- (UILabel *)nativeSponsoredLabel;

/**
 `UILabel` for the warning. Required if ad's property value for key kYMAMoPubNativeAdWarningAsset is not nil.
 @see YMAMoPubNativeAssets.h for properties keys.
 */
- (UILabel *)nativeWarningLabel;

@end
